Bug 58394 - unrecognizable insn
Summary: unrecognizable insn
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.8.1
: P3 major
Target Milestone: 4.8.2
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-11 16:47 UTC by xperience
Modified: 2013-09-19 08:57 UTC (History)
2 users (show)

See Also:
Host:
Target: arm
Build:
Known to work:
Known to fail:
Last reconfirmed: 2013-09-12 00:00:00


Attachments
preprocessed source (18.48 KB, text/plain)
2013-09-18 18:38 UTC, xperience
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xperience 2013-09-11 16:47:24 UTC
When I try to compile firefox under gentoo I have following error:


/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt/rate.c: In function 'compute_allocation':
/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt/rate.c:642:1: error: unrecognizable insn:
 }
 ^
(insn 1411 1410 1412 195 (set (reg:V4SI 1247)
        (unspec:V4SI [
                (const_vector:V4SI [
                        (const_int 0 [0])
                        (const_int 0 [0])
                        (const_int 0 [0])
                        (const_int 0 [0])
                    ])
                (reg:V4SI 1243 [ vect_var_.67 ])
                (const_int 1 [0x1])
            ] UNSPEC_VCGE)) /var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt/rate.c:525 -1
     (nil))
/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt/rate.c:642:1: internal compiler error: in extract_insn, at recog.c:2150


full command line:
armv7a-hardfloat-linux-gnueabi-gcc -o rate.o -c -fvisibility=hidden -DOPUS_BUILD -DOPUS_VERSION='"draft-11-mozilla"' -DUSE_ALLOCA -Drestrict=  -DHAVE_LRINTF -DMOZ_GLUE_IN_PROGRAM -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/include -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/silk -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/src  -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/silk/float -I/var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus -I. -I../../dist/include  -I/usr/include/nspr -I/usr/include/nss      -fPIC  -Wall -Wpointer-arith -Wdeclaration-after-statement -Werror=return-type -Wtype-limits -Wempty-body -Wno-unused -Wno-overlength-strings -pipe -fomit-frame-pointer -mtune=native -mcpu=native -mfpu=neon-vfpv4 -mfloat-abi=hard -fPIC -fno-strict-aliasing -ffunction-sections -fdata-sections -pthread -pipe  -DNDEBUG -DTRIMMED -O3 -fomit-frame-pointer   -include ../../mozilla-config.h -DMOZILLA_CLIENT -MD -MF .deps/rate.o.pp /var/tmp/portage/www-client/firefox-17.0.8/work/mozilla-esr17/media/libopus/celt/rate.c

It happends only when -O3 is used
Comment 1 Richard Earnshaw 2013-09-12 14:14:18 UTC
Please attach a pre-processed testcase that we can use to reproduce the issue.
Comment 2 xperience 2013-09-18 18:38:09 UTC
Created attachment 30860 [details]
preprocessed source
Comment 3 Richard Earnshaw 2013-09-19 08:57:27 UTC
Fixed with:

http://gcc.gnu.org/ml/gcc-patches/2013-08/msg00003.html